No supported iOS available for iPhone 4s

The xcode11.3 environment includes the iPhone 4s simulator, but no iOS older than 10.3.

The iPhone 4s does not support any iOS newer than 9.x, so it’s not possible to actually use the 4s in the xcode11.3 environment.

I’ve seen some 32-bit-specific bugs, and would like to keep regression testing for them. Is it possible to get iOS 9.3.x back into the xcode environments?

1 Like

MacOS support provides images back to OS X 10.10 with Xcode 6.4. See The macOS Build Environment in the Travis docs.

The OS X 10.10/Xcode 6.4 combination can be used with:

osx_image: xcode6.4
Imprint